// JavaScript Document
$(document).ready(function(e) {
   
});

//$(".select").chosen({disable_search_threshold : 14	}); 
$(".Calendario").datepicker({minDate : -0});

var NaoQuitados = new ClassNaoQuitados();
var Recebido = new ClassRecebido();
var ClienteCheque = new ClassClienteCheque();
// Box Local
$('#pnReceberNaoQuitado').dialog({
	autoOpen : false,
	modal : true,
	resizable : false,
	height : 400, // altura
	width : 500, // largura
	buttons : {
		'Salvar' : function() {

			if ($('#edtDataNQuitado').val() == '') {

				show('Informe uma Data');

				return false;

			}

			if ($('#edtValorNQuitado').val() == '') {

				show('Informe uma Valor');

				return false;

			}

			if ($('#edtControleNQ').val() == 'Insert')

				NaoQuitados.Insert($('#id_evento').val(),

				$('#slTipoPagamentoNQuitado').val(),

				$('#edtDataNQuitado').val(),

				$('#edtValorNQuitado').val(),

				$('#slRepetirNQuitado').val());

			$(this).dialog("close");

			if ($('#edtControleNQ').val() == 'Upadate')

				NaoQuitados.Update($('#id_evento').val(),

				$('#slTipoPagamentoNQuitado').val(),

				$('#edtDataNQuitado').val(),

				$('#edtValorNQuitado').val(),

				'1');

		},

		'Cancelar' : function() {
			$(this).dialog("close");
		}

	}

})

// box recebimento

var num_cheque;
var banco;
var agencia;
var conta;
var DataVencinento;

$('#pnRecebimentoQuitado').dialog(
		{
			autoOpen : false,
			modal : true,
			resizable : false,
			height : 400, // altura
			width : 600, // largura
			buttons : {
				'Salvar' : function() {
					var data = $('#edtRecebData').val();
					var valor = $('#edtRecebValor').val();
					if (Recebido.tipo_pagamento == '4' || Recebido.tipo_pagamento == '2') {
						num_cheque = $('#edtRecebCheque').val();
						banco = $('#edtRecebBanco').val();
						agencia = $('#edtRecebAgencia').val();
						conta = $('#edtRecebConta').val();
						DataVencinento = $('#edtDataVencinento').val();
						if (banco == '') {
							show('Informe o banco');
							return false;
						}
						if (agencia == '') {
							show('Informe a agência');
							return false;
						}
						if (conta == '') {
							show('informe a conta');
							return false;
						}
					}
					if (Recebido.tipo_pagamento == '4') {
					}
					if (Recebido.tipo_pagamento == '2') {
						if (!$('#id_cliente_cheque').val()) {
							show('Cadastre um cheque antes de continuar');
							return false;
						}
						var radio = $('#fromDadosChequeCliente').serialize();
						radio = radio.substring(6, 20);
						if (radio == '') {
							show('Selecione um Cheque antes de continuar');
							return false;
						}
						if (num_cheque == '') {
							show('informe o cheque');
							return false;

						}

					} // fim do cheque 2

					FuncaoMudaUsuario(function(){
										MudarUsuario(function(){
											Recebido.Insert($('#id_evento').val(),
											Recebido.tipo_pagamento, data, valor, banco,
											agencia, conta, num_cheque, radio,
											Recebido.id_recebimento, DataVencinento);
											$('#pnRecebimentoQuitado').dialog('close');				
											})
										}
					);
					/*Recebido.Insert($('#id_evento').val(),
							Recebido.tipo_pagamento, data, valor, banco,
							agencia, conta, num_cheque, radio,
							Recebido.id_recebimento, DataVencinento);*/

					//

				},

				'Cancelar' : function() {
					$(this).dialog('close');
				}

			}

		})

// botão REcebimento

$(document).on('click','#btnReceberNQ', function() {
	$('#pnRecebTipoPg').html($(this).attr('desc_tipo'));
	$('#edtRecebTipoPagamento').val($(this).attr('id_tipo'));
	Recebido.tipo_pagamento = $(this).attr('id_tipo');
	Recebido.id_recebimento = $(this).attr('id_recebimento');
	$('#edtRecebValor').val($(this).attr('valor'));
	// if($(this).attr('id_tipo') == '1')
	$('.cheque').hide();
	$('#pnRecebDadosCheque').html('');
	if ($(this).attr('id_tipo') == '4')
		$('.deposito').show();
	if ($(this).attr('id_tipo') == '2') {
		$('.cheque').show();
		var NumCheque = $('#edtRecebCheque').val();
		var DataVencimento = $(this).attr('data');
		$('#edtDataVencinento').val(DataVencimento);
		if (NumCheque != '') {
			$('#edtRecebCheque').val(parseInt(NumCheque) + 1);
		}
		ClienteCheque.Select($('#id_evento').val(), 'pnRecebDadosCheque', '2');
	}

	$('#pnRecebimentoQuitado').dialog('open');

	return false;

})

// box cadastro cliente cheque

$('#pnCadClienteCheque').dialog({

					autoOpen : false,

					modal : true,

					resizable : false,

					height : 280, // altura

					width : 700, // largura

					buttons : {
						'Salvar' : function() {

							var controleInsertUpadat = $('#EdtCPFControleIN_UP')
									.val();

							var nome = $('#edtNomeClienteCheque').val();

							var cpf_cnpj = $('#edtCPFClienteCheque').val();

							if (controleInsertUpadat == 'Insert')

								if ($('#edtCPFClienteCheque').val() == '') {

									show('Informe um CPF ou CNPJ');

									return false;

								}

							if (nome == '') {

								show('Informe o nome Completo');

								return false;

							}

							if (controleInsertUpadat == 'Insert') {

								ValidarCPFCNPJ(cpf_cnpj, 'EdtValidaCPF');

								var Controle = $('#EdtValidaCPF').val();

								if (Controle == 'false') {

									return false;

								}

							}

							if ($('#EdtCPFDuplicidade').val() == 'false') {

								show('Cliente já cadastrado, favor seleciome o mesmo abaixo');

								return false;

							}

							if (controleInsertUpadat == 'Insert') {

								ClienteCheque.Insert(cpf_cnpj, nome, $(
										'#id_evento').val(),
										'pnRetornCadClienteCheque');

								// Carregar o Cliente do Cheque

								ClienteCheque.Select($('#id_evento').val(),
										'pnDadosCliente', '1');

							}

							if (controleInsertUpadat == 'Update') {

								ClienteCheque.Update(nome,
										'pnRetornCadClienteCheque');

								ClienteCheque.Select($('#id_evento').val(),
										'pnDadosCliente', '1');

							}

							$(this).dialog("close");

						},

						'Cancelar' : function() {
							$(this).dialog("close");
						}

					}

				})

// Ação dos botoes abaixao esta no inicio do script evento porque quando
// colocado aqui ele inclui duas vezes o mesmo produto
// #btnAddEventoClienteCheque
// #btnDeletarClienteCheque
// #btnDeleteNQ
// Alterar Cheque

$(document).on('click', '#btnAlterarClienteCheque', function() {
	$('#edtCPFClienteCheque').hide();
	$('#edtNomeClienteCheque').val($(this).attr('nome'));
	ClienteCheque.id_cliente_cheque = $(this).attr('id_cliente_cheque');
	$("#EdtCPFControleIN_UP").val('Update');

	$('#pnCadClienteCheque').dialog('open');

	return false;

})

// novo Cheque

$(document).on('click', '#btnNovoClienteCheque', function() {

	$('#edtCPFClienteCheque').show();

	$('#edtNomeClienteCheque').val('');

	$('#edtCPFClienteCheque').val('');

	$('#pnRetornCadClienteCheque').html('');

	$("#EdtCPFControleIN_UP").val('Insert');

	$('#pnCadClienteCheque').dialog('open');

	return false;

})

// alterar REcebimento

$(document).on('click', '#btnAlterarNQ', function() {

	$('#edtControleNQ').val('Upadate');

	$('#pnRepetirNQ').hide();

	NaoQuitados.id_recebimento = $(this).attr('id_recebimento');

	$('#edtValorNQuitado').val($(this).attr('valor'));

	$('#edtDataNQuitado').val($(this).attr('data'));

	// $('#slTipoPagamentoNQuitado').val($(this).attr('tipo_pagamento'));
	Seleciona('#slTipoPagamentoNQuitado', $(this).attr('tipo_pagamento'));

	$('#pnReceberNaoQuitado').dialog('open');

	return false;

})

// Carrega os não Quitados

NaoQuitados.Carregar($('#id_evento').val());

NaoQuitados.QtoDiv($('#id_evento').val());

NaoQuitados.ValorTotal($('#id_evento').val());

// Carrega os Recebido

Recebido.Carregar($('#id_evento').val());

Recebido.TotalRecebido($('#id_evento').val());

// Carregar o Cliente do Cheque

ClienteCheque.Select($('#id_evento').val(), 'pnDadosCliente', '1');

// Carrega o Valor do Contrato

CarregarValorContrato($('#id_evento').val());

DiferencaValores($('#id_evento').val());

// $('#spValorTotal').html($('#edtValor').val());

/*
 * 
 * $('#btnImprimirRelGeral').on('click',function(){
 * 
 * window.open('evento/pagamento/recibo_pagamento.php?id_evento='+$('#id_evento').val(),'_blank')
 * 
 * return false;
 *  })
 * 
 */

function DiferencaValores(id_evento){
	$.ajax({
		type : "POST",
		url : "evento/pagamento/ax.pagamento.php",
		data : 'ax=DiferencaValores&id_evento=' + id_evento,
		beforeSend: function(){$("#pnTotalizadores").html('<img src="img/salvando.gif"/>').fadeIn('slow');},
		success : function(R) {	$("#pnTotalizadores").html(R);
		},

		error : function(R) {
			$("#pnTotalizadores").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
			$("#pnTotalizadores").addClass('ui-state-error ui-corner-all');

		}

	}) // fim ajax

}


function CalcularDivisao() {
	var Dividido = $('#slRepetirNQuitado').val();
	var valor = moeda2float($('#edtValor').val());
	var total = valor / Dividido;
	$('#edtValorNQuitado').val(float2moeda(total));
}

function CarregarValorContrato(id_evento) {
	$.ajax({
		type : "POST",
		url : "evento/pagamento/ax.pagamento.php",
		data : 'ax=ValorContrato&id_evento=' + id_evento,
		// beforeSend: function(){$("#pnSalvarValorEvento").html('<img
		// src="img/salvando.gif"/>').fadeIn('slow');},
		success : function(R) {	$("#edtValor").val(R);
								$("#edtValorSalvo").val(moeda2float(R))
		},

		error : function(R) {
			$("#pnSalvarValorEvento").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
			$("#pnSalvarValorEvento").addClass('ui-state-error ui-corner-all');

		}

	}) // fim ajax

}


function ClassNaoQuitados() {

	var id_recebimento;

	this.Carregar = function(id_evento) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/nao_quitado.php",

			data : 'id_evento=' + id_evento,

			beforeSend : function() {
				$("#pnNaoQuitado").html('<img src="img/salvando.gif"/>')
						.fadeIn('slow');
			},

			success : function(R) {
				$("#pnNaoQuitado").html(R)
			},

			error : function(R) {
				$("#pnNaoQuitado").html(
						'Falha ao carregar, ou tente novamente!')
						.fadeIn('slow');

				$("#pnNaoQuitado").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

	this.Insert = function(id_evento, tipo_pagamento, data, valor, repetir) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/ax.pagamento.php",

			data : 'ax=InsertNaoQuitado&id_evento=' + id_evento
					+ '&tipo_pagamento=' + tipo_pagamento + '&data=' + data
					+ '&valor=' + valor + '&repetir=' + repetir,

			beforeSend : function() {
				$("#pnNaoQuitado").html('<img src="img/salvando.gif"/>')
						.fadeIn('slow');
			},

			success : function(R) {

				$("#pnNaoQuitado").html(NaoQuitados.Carregar(id_evento));

				NaoQuitados.QtoDiv(id_evento);

				NaoQuitados.ValorTotal(id_evento);

			},

			error : function(R) {
				$("#pnNaoQuitado").html(
						'Falha ao carregar, ou tente novamente!')
						.fadeIn('slow');

				$("#pnNaoQuitado").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

	this.Update = function(id_evento, tipo_pagamento, data, valor, pendencia) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/ax.pagamento.php",

			data : 'ax=UpdateNaoQuitado&id_evento_recebimento='
					+ this.id_recebimento + '&tipo_pagamento=' + tipo_pagamento
					+ '&data=' + data + '&valor=' + valor,

			beforeSend : function() {
				$("#pnNaoQuitado").html('<img src="img/salvando.gif"/>')
						.fadeIn('slow');
			},

			success : function(R) {

				$("#pnNaoQuitado").html(NaoQuitados.Carregar(id_evento));

				NaoQuitados.QtoDiv(id_evento);

				NaoQuitados.ValorTotal(id_evento);

			},

			error : function(R) {
				$("#pnNaoQuitado").html(
						'Falha ao carregar, ou tente novamente!')
						.fadeIn('slow');

				$("#pnNaoQuitado").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

	this.Delete = function(id_evento_recebimento, id_evento) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/ax.pagamento.php",

			data : 'ax=DeleteNaoQuitado&id_evento_recebimento='
					+ id_evento_recebimento,

			beforeSend : function() {
				$("#pnNaoQuitado").html('<img src="img/salvando.gif"/>')
						.fadeIn('slow');
			},

			success : function(R) {

				$("#pnNaoQuitado").html(NaoQuitados.Carregar(id_evento));

				NaoQuitados.QtoDiv(id_evento);

				NaoQuitados.ValorTotal(id_evento);

			},

			error : function(R) {
				$("#pnNaoQuitado").html(
						'Falha ao carregar, ou tente novamente!')
						.fadeIn('slow');

				$("#pnNaoQuitado").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

	this.QtoDiv = function(id_evento) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/ax.pagamento.php",

			data : 'ax=QtoDiv&id_evento=' + id_evento,

			beforeSend : function() {
				$("#qtoDiv").html('<img src="img/salvando.gif"/>').fadeIn(
						'slow');
			},

			success : function(R) {
				$("#qtoDiv").html(R)
			},

			error : function(R) {
				$("#qtoDiv").html('Falha ao carregar, ou tente novamente!')
						.fadeIn('slow');

				$("#qtoDiv").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

	this.ValorTotal = function(id_evento) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/ax.pagamento.php",

			data : 'ax=ValorTotal&id_evento=' + id_evento,

			beforeSend : function() {
				$("#pnValorTotalNQ").html('<img src="img/salvando.gif"/>')
						.fadeIn('slow');
			},

			success : function(R) {
				$("#pnValorTotalNQ").html(R)
			},

			error : function(R) {
				$("#pnValorTotalNQ").html(
						'Falha ao carregar, ou tente novamente!')
						.fadeIn('slow');

				$("#pnValorTotalNQ").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

} // fim class Não Quitados

function ClassRecebido() {

	var tipo_pagamento;

	var id_recebimento;

	this.Carregar = function(id_evento) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/recebidos.php",

			data : 'id_evento=' + id_evento,

			beforeSend : function() {
				$("#pnRecebido").html('<img src="img/salvando.gif"/>').fadeIn(
						'slow');
			},

			success : function(R) {
				$("#pnRecebido").html(R)
			},

			error : function(R) {
				$("#pnRecebido").html('Falha ao carregar, ou tente novamente!')
						.fadeIn('slow');

				$("#pnRecebido").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

	this.Insert = function(id_evento, tipo_pagamento, data, valor, banco,
			agencia, conta, num_cheque, id_cliente_cheque,
			id_evento_recebimento, data_vencimento) {

		$.ajax({

			type : "POST",

			url : "evento/pagamento/ax.pagamento.php",

			data : 'ax=InsertPagamento&id_evento=' + id_evento
					+ '&tipo_pagamento=' + tipo_pagamento + '&data=' + data
					+ '&valor=' + valor + '&banco=' + banco + '&agencia='
					+ agencia + '&conta=' + conta + '&num_cheque=' + num_cheque
					+ '&id_cliente_cheque=' + id_cliente_cheque
					+ '&id_evento_recebimento=' + id_evento_recebimento
					+ '&data_vencimento=' + data_vencimento,
			beforeSend : function() {
				$("#pnAguardeInsetPagamento").html(
						'<img src="img/salvando.gif"/>').fadeIn('slow');
			},

			success : function(R) {
				// Carrega os não Quitados
				NaoQuitados.Carregar($('#id_evento').val());
				NaoQuitados.QtoDiv($('#id_evento').val());
				NaoQuitados.ValorTotal($('#id_evento').val());
				// Carrega os Recebido
				Recebido.Carregar($('#id_evento').val());
				Recebido.TotalRecebido($('#id_evento').val());
				$("#pnAguardeInsetPagamento").html('').fadeIn('slow');

			},

			error : function(R) {$("#pnAguardeInsetPagamento").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
			 				     $("#pnAguardeInsetPagamento").addClass('ui-state-error ui-corner-all');

			}

		}) // fim ajax

	}

	this.TotalRecebido = function(id_evento) {

		$.ajax({
			type : "POST",
			url : "evento/pagamento/ax.pagamento.php",
			data : 'ax=TotalRecebido&id_evento=' + id_evento,
			beforeSend : function() {$("#pnTotalRecebido").html('<img src="img/salvando.gif"/>').fadeIn('slow');},
			success : function(R) {$("#pnTotalRecebido").html(R)},
			error : function(R) {$("#pnTotalRecebido").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								 $("#pnTotalRecebido").addClass('ui-state-error ui-corner-all');
			}

		}) // fim ajax

	}

} // fim class REcebido

